org.eclipse.cdt.core.settings.model

## Interface ICLanguageSettingPathEntry

All Superinterfaces:
  ICLanguageSettingEntry, ICPathEntry, ICSettingEntry

All Known Subinterfaces:
  ICIncludeFileEntry, ICIncludePathEntry, ICLibraryFileEntry, ICLibraryPathEntry, ICMacroFileEntry

All Known Implementing Classes:
  CIncludeFileEntry, CIncludePathEntry, CLibraryFileEntry, CLibraryPathEntry, CMacroFileEntry

    public interface ICLanguageSettingPathEntry
    extends ICLanguageSettingEntry, ICPathEntry

Representation in the project model of language settings entries of path-kind such as include paths (-I) or include files and others. See interface hierarchy for more specifics.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`